Name:		sap
Version:	0.4.4
#Note on version numbers: The upstream author tracks version numbers only
#on his launchpad page https://launchpad.net/sap+
#I already asked him to create a CHANGELOG file with the latest version number.
Release:	7%{?dist}
Summary:	A small CLI audio player

Group:		Applications/Multimedia
License:	GPLv3+
URL:		http://www.jezra.net/projects/sap
Source0:	http://www.jezra.net/downloads/sap.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	ncurses-devel, gstreamer-devel, vala


%description
SAP is a small CLI audio player featuring a volume control and
supports many file formats through the gstreamer framework.


%prep
%setup -q -n sap


%build
valac --thread --pkg curses --pkg gstreamer-0.10 curses_ui.vala audioplayer.vala main_controller.vala -C

gcc %{optflags} `pkg-config glib-2.0 --cflags --libs`  `pkg-config gstreamer-0.10 --cflags --libs` -lncurses  audioplayer.c curses_ui.c main_controller.c -o sap


%install
rm -rf %{buildroot}
install -D -p -m 755 sap %{buildroot}%{_bindir}/sap
install -D -p -m 644 sap.1 %{buildroot}%{_mandir}/man1/sap.1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README gpl.txt
%{_mandir}/man1/sap.1.*
%{_bindir}/sap


%changelog
* Sat Jul 18 2009 Julian Aloofi <julian at, fedoraproject.org> 0.4.4-7
- We just need vala, no vala-devel


* Mon Jul 13 2009 Julian Aloofi <julian at, fedoraproject.org> 0.4.4-6
- Converted Vala source to C source before building for using the optimization flags
- Left some space between the changelog entries
- Placed the doc section right after the defattr tag


* Sat Jul 11 2009 Julian Aloofi <julian at, fedoraproject.org> 0.4.4-5
- Dropped sh ./build in the install section


* Sat Jul 11 2009 Julian Aloofi <julian at, fedoraproject.org> 0.4.4-4
- Replaced some space from the spec file and adjusted the Release tag


* Mon Jul 06 2009 Julian Aloofi <julian at, fedoraproject.org> 0.4.4-3
- replaced mkdir -p with install -D and left some space in the spec file


* Sat Jul 04 2009 Julian Aloofi <julian at, fedoraproject.org> 0.4.4-2
- All uses of buildroot standardized
- Just included README and gpl.txt in the doc section instead of copying them
- Did not compress the man page and replaced .gz with .* in the files section
- Changed License from GPLv3 to GPLv3+


* Fri Jul 03 2009 Julian Aloofi <julian at, fedoraproject.org> 0.4.4-1
- Initial version
